JaxbEntityResult (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbEntityResult

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbEntityResult

    public class JaxbEntityResult

extends Object

Field Summary
`protected String` | `discriminatorColumn`
`protected String` | `entityClass`
`protected List<JaxbFieldResult>` | `fieldResult`

Constructor Summary
`JaxbEntityResult()`

Method Summary
`String` | `getDiscriminatorColumn()` Gets the value of the discriminatorColumn property.
`String` | `getEntityClass()` Gets the value of the entityClass property.
`List<JaxbFieldResult>` | `getFieldResult()` Gets the value of the fieldResult property.
`void` | `setDiscriminatorColumn(String value)` Sets the value of the discriminatorColumn property.
`void` | `setEntityClass(String value)` Sets the value of the entityClass property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fieldResult

    protected List<JaxbFieldResult> fieldResult

### entityClass

    protected String entityClass

### discriminatorColumn

    protected String discriminatorColumn

Constructor Detail

### JaxbEntityResult

    public JaxbEntityResult()

Method Detail

### getFieldResult

    public List<JaxbFieldResult> getFieldResult()

  Gets the value of the fieldResult property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fieldResult property.

  For example, to add a new item, do as follows:

          getFieldResult().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbFieldResult`

### getEntityClass

    public String getEntityClass()

  Gets the value of the entityClass property.

  Returns:
    possible object is `String`

### setEntityClass

    public void setEntityClass(String value)

  Sets the value of the entityClass property.

  Parameters:
    `value` - allowed object is `String`

### getDiscriminatorColumn

    public String getDiscriminatorColumn()

  Gets the value of the discriminatorColumn property.

  Returns:
    possible object is `String`

### setDiscriminatorColumn

    public void setDiscriminatorColumn(String value)

  Sets the value of the discriminatorColumn property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.